net.sf.jlinkgrammar

## Class DictNode

- java.lang.Object
- - net.sf.jlinkgrammar.DictNode

-     public class DictNode
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Exp` | `exp`
    `(package private) WordFile` | `file`
    `(package private) DictNode` | `left`
    `(package private) DictNode` | `right`
    `(package private) java.lang.String` | `string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DictNode()`
    `DictNode(DictNode d)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) Disjunct` | `build_disjuncts_for_dict_node()`
    `(package private) static boolean` | `easy_match(java.lang.String s, java.lang.String t)`
    `(package private) static DictNode` | `list_whole_dictionary(DictNode root, DictNode dn)`
    `(package private) boolean` | `word_has_connector(java.lang.String cs, int direction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### string

          java.lang.String string

    - #### file

          WordFile file

    - #### exp

          Exp exp

    - #### left

          DictNode left

    - #### right

          DictNode right

  - ### Constructor Detail

    - #### DictNode

          DictNode()

    - #### DictNode

          DictNode(DictNode d)

  - ### Method Detail

    - #### build_disjuncts_for_dict_node

          Disjunct build_disjuncts_for_dict_node()

    - #### list_whole_dictionary

          static DictNode list_whole_dictionary(DictNode root,
                                       DictNode dn)

    - #### word_has_connector

          boolean word_has_connector(java.lang.String cs,
                                   int direction)

    - #### easy_match

          static boolean easy_match(java.lang.String s,
                           java.lang.String t)